GNU bug report logs - #42622
26.3; Scheme mode: Wrong indentation (no indentation) when pressing tab

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: k.s.matheussen@HIDDEN; merged with #42621; dated Thu, 30 Jul 2020 15:37:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 42621 42622. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2020 15:36:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 30 11:36:41 2020
Received: from localhost ([127.0.0.1]:36587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1Abn-0008To-7h
	for submit <at> debbugs.gnu.org; Thu, 30 Jul 2020 11:36:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:44818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <k.s.matheussen@HIDDEN>) id 1k151l-0003Pp-V3
 for submit <at> debbugs.gnu.org; Thu, 30 Jul 2020 05:39:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39114)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <k.s.matheussen@HIDDEN>)
 id 1k151l-0005Lv-Nh
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2020 05:39:05 -0400
Received: from mail-qt1-x82c.google.com ([2607:f8b0:4864:20::82c]:34004)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <k.s.matheussen@HIDDEN>)
 id 1k151j-0007E1-He
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2020 05:39:05 -0400
Received: by mail-qt1-x82c.google.com with SMTP id x12so11333183qtp.1
 for <bug-gnu-emacs@HIDDEN>; Thu, 30 Jul 2020 02:39:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:reply-to:from:date:message-id
 :subject:to; bh=xuFntAvXe3YfpqmtrA70jsRa0iWQJ41gw6CLQng1KMQ=;
 b=npzDE5fN5iw793IhbmWYYDoxXfEi3e8XK50An+x1p0TD1opuPIqZ6eptw1E0cgPZym
 GIZt8UaXfqFwjgJksjwAUOkQI8+bq7FcgW06EByHVYP1xEaw7l0hGAd8Zt43JLru+q6v
 j5wvCOMUqAlGOY/des3oZrNFZX5Sa+TkzU65A9Q+V9UvKzq7qoppA4noW5l8xAra2NPu
 AxhF6Frk6BvAEevb9MMoA7vC9RMi5IcDoyXlL2ynrDmnFH3lSbdueBNv073uzxh7VOaB
 kqojlbJhno/qjpZr8WowFkl5bAu/0V8R/2R1cSwMZD0CRsbPD3CcLwYV5hQGtPI8kL73
 3Vww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:reply-to
 :from:date:message-id:subject:to;
 bh=xuFntAvXe3YfpqmtrA70jsRa0iWQJ41gw6CLQng1KMQ=;
 b=aEUW/heJkkz1AK38SwikNegRkbV56v6JdZgFuwBJvfwDBhtKEIq+9u+DAA+jPZ8alQ
 MAGdFt/jTG/QjPTfNW5p4P0yDOHzOgZ6UWfM8RZ+IzMe9HDd8e63jC8rielSJzjCV71H
 F+xghoEWqnaNBUa99IGg2kUo307fUEu/LK03EUZbsHe2VUgpX/3CuoDkGZvwiIAPD3SN
 Kt6YM4YqO8rZZgmck5GGopaB1XwZnbk0Px5+RPAj7Dio031eisL9XegtVu2m12DWZBmN
 VAThbAX7Hf3y48BPo4ymnB1xpe/NKW7quBv9MtZV18Vk0ONkqFKjtA5AQZ4sAdLUch4p
 Iwfg==
X-Gm-Message-State: AOAM532+tcXCdG8rBGJGo6d/BpUpvEdP0xciDowiIn93woPZ5PeB9HHU
 qrmBkUZtzlWx0hzyb81dJ/G8swDcsa7OJoQWiOtM2w==
X-Google-Smtp-Source: ABdhPJyw9SavLbxNV2POvA2MlN86XnK6OzHojOkeWaZUrr9hAw7w2BZPcS8wZZaLYIlZ6whh3lC4ZLXwm1WolubU8yY=
X-Received: by 2002:ac8:528b:: with SMTP id s11mr2007607qtn.63.1596101941478; 
 Thu, 30 Jul 2020 02:39:01 -0700 (PDT)
MIME-Version: 1.0
References: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
In-Reply-To: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
From: Kjetil Matheussen <k.s.matheussen@HIDDEN>
Date: Thu, 30 Jul 2020 11:38:50 +0200
Message-ID: <CAC6niEL4+fQpg0_-rFK_iipEKjzYPFkQN8EPVF-pDw5hjZM4YA@HIDDEN>
Subject: Re: 26.3; Scheme mode: Wrong indentation (no indentation) when
 pressing tab
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::82c;
 envelope-from=k.s.matheussen@HIDDEN; helo=mail-qt1-x82c.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 30 Jul 2020 11:36:36 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: k.s.matheussen@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Follow-up: It appears as if the bug is not present in 26.2, at least
when using this recipe.

On Thu, Jul 30, 2020 at 11:08 AM Kjetil Matheussen
<k.s.matheussen@HIDDEN> wrote:
>
> Recipe to reproduce:
> (note that it's important that you do _exactly_ as described. The bug
> happens very often (and is extremely annoying), but it's very unclear
> what triggers it.)
>
> 1. wget http://users.notam02.no/~kjetism/emacsindentationbug.scm
> 2. emacs emacsindentationbug.scm
> 3. Press Ctrl + S, search for "define column-widths"
> 4. The cursor should now be placed at line 2790
> 5. Press down-arrow so that that cursor is placed at line 2791
> 6. Press up -arrow so that the cursor is placed at line 2790 again.
> 7. Press TAB.
> 8. The line is wrongly indented (no indentation).
>
>
> In GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars)
>  of 2020-07-18 built on localhost.localdomain
> Windowing system distributor 'Fedora Project', version 11.0.11405000
> System Description: Fedora release 20 (Heisenbug)
>
> Recent messages:
> Checking 24 files in /home/kjetil/site/share/emacs/26.3/lisp/cedet...
> Checking 57 files in /home/kjetil/site/share/emacs/26.3/lisp/calendar...
> Checking 87 files in /home/kjetil/site/share/emacs/26.3/lisp/calc...
> Checking 105 files in /home/kjetil/site/share/emacs/26.3/lisp/obsolete...
> Checking for load-path shadows...done
> previous-line: Beginning of buffer [3 times]
> Auto-saving...done
> previous-line: Beginning of buffer [5 times]
> Buffer *unsent mail to bug-gnu-emacs@HIDDEN* modified; kill anyway? (y or n) y
> Mark saved where search started [2 times]
>
> Configured using:
>  'configure --prefix=/home/kjetil/site --with-x-toolkit=lucid'
>
> Configured features:
> XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY LIBSELINUX GNUTLS
> LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM THREADS
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: Scheme
>
> Minor modes in effect:
>   diff-auto-refine-mode: t
>   iswitchb-mode: t
>   shell-dirtrack-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Load-path shadows:
> None found.
>
> Features:
> (pp shadow sort mail-extr emacsbug message rmc puny rfc822 mml mml-sec
> epa derived epg gnus-util rmail rmail-loaddefs mm-decode mm-bodies
> mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader help-fns
> radix-tree align two-column iso-transl help-mode xref project ffap
> thingatpt make-mode dired-aux dired dired-loaddefs cmuscheme conf-mode
> cc-mode cc-fonts cc-guess cc-menus cc-cmds misearch multi-isearch vc-git
> diff-mode easy-mmode scheme elec-pair color-theme wid-edit cl sendmail
> rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils reporter
> iswitchb finder-inf scala-mode2-autoloads package epg-config
> url-handlers url-parse url-vars python easymenu tramp-sh tramp
> tramp-compat tramp-loaddefs trampver ucs-normalize shell pcomplete
> parse-time format-spec advice auth-source cl-seq eieio eieio-core
> cl-macs eieio-loaddefs password-cache json map seq byte-opt gv bytecomp
> byte-compile cconv comint ring ansi-color edmacro kmacro cc-styles
> cc-align cc-engine cc-vars cc-defs cl-loaddefs cl-lib time-date
> mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
> lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
> dnd fontset image regexp-opt fringe tabulated-list replace newcomment
> text-mode elisp-mode lisp-mode prog-mode register page menu-bar
> rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
> syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
> ethiopic indian cyrillic chinese composite charscript charprop
> case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
> cl-preloaded nadvice loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote threads dbusbind
> inotify dynamic-setting system-font-setting font-render-setting
> x-toolkit x multi-tty make-network-process emacs)
>
> Memory information:
> ((conses 16 1270767 168270)
>  (symbols 48 37217 2)
>  (miscs 40 934 9001)
>  (strings 32 113664 7701)
>  (string-bytes 1 3016589)
>  (vectors 16 60156)
>  (vector-slots 8 1962000 165392)
>  (floats 8 227 660)
>  (intervals 56 160970 1318)
>  (buffers 992 116)
>  (heap 1024 108471 4922))




Acknowledgement sent to k.s.matheussen@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42622; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 2 Aug 2020 04:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.